commit:     899170263f29d4bcc0f6e8e8a79ae3808c064c48
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 22 10:08:20 2017 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Jan 22 10:21:13 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89917026

sci-libs/suitesparseconfig: Add 32bit support

Package-Manager: Portage-2.3.3, Repoman-2.3.1
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 .../suitesparseconfig-4.2.1-r1.ebuild              | 28 ++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/sci-libs/suitesparseconfig/suitesparseconfig-4.2.1-r1.ebuild 
b/sci-libs/suitesparseconfig/suitesparseconfig-4.2.1-r1.ebuild
new file mode 100644
index 00000000..4a79daa
--- /dev/null
+++ b/sci-libs/suitesparseconfig/suitesparseconfig-4.2.1-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit multilib-minimal
+
+DESCRIPTION="Common configurations for all packages in suitesparse"
+HOMEPAGE="http://www.cise.ufl.edu/research/sparse/SuiteSparse_config";
+SRC_URI="https://dev.gentoo.org/~bicatali/distfiles/${P}.tar.bz2";
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd 
~amd64-linux ~x86-linux ~x86-macos"
+IUSE="static-libs"
+
+multilib_src_configure() {
+       ECONF_SOURCE="${S}" \
+               econf \
+               $(use_enable static-libs static)
+}
+
+multilib_src_install_all() {
+       if ! use static-libs; then
+               find "${ED}" -name "*.la" -delete || die
+       fi
+}

Reply via email to